/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-color: #a0a0ff;
  background-image: linear-gradient(#a0e4ff, #a0a0ff);
  background-attachment: fixed;
  color: black;
  font-family: Verdana;
  height: 100%;
  margin: 0;
}

nav{
  position: sticky;
  top: 0;
  background-color: #30663e;
  color: white;
  font-family: inherit;
  width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
  text-align: center;
  border: 0px solid #000000;
  padding-top: 0;
  padding-bottom: 0;
  box-shadow: 0px 0px 60px #10661e;
  display: block;
  z-index: 2;
}

@media (min-width: 800px){
  nav{
  }
}

p, ol, ul, details {
  margin: 1% 3% 1%;
  line-height: 1.3;
}

blockquote{
  margin: 1% 5% 1%;
  padding: 1%;
  border: 1px;
  border-style: none solid none solid;
  background-color: #a0d0d0;
}

h4{
  margin: 2%
}

dt {
  margin: 1% 20px 1%;
}

dd{
  margin: 1% 35px 1%;
}

main {
  background-image:url(https://64.media.tumblr.com/a08200480b39f1864161c75759c42695/c03122968514166a-0d/s250x400/0a7b1c7483fa41bfe25b8cd311679fa6109ad4ba.jpg);
  color: black;
  font-family: inherit;
  margin: 0 8% 2% 8%;
  border: 3px solid #000000;
  box-shadow: 8px 8px 12px black;
  z-index: -5;
}

hr{
  display: block;
  margin-left: 1%;
  margin-right: 1%;
  border-style: solid;
}

figure{
  margin-left: auto;
  margin-right: auto;
  display: table;
  max-width: 90%;
}

figcaption{
  padding: 8px;
  display: table-caption;
  caption-side: bottom;
  font-style: italic;
  text-align: center;
  background-color: #a0d0d0;
  line-height: 1.3;
  width: 100%;
  box-sizing: border-box;
}

caption{
  margin: auto;
}

li{
  margin: 0.5%;
}

.imgborder{  
  margin-left: auto;
  margin-right: auto;
  display: block;
  border: 2px solid #ffffff;
}

.imgcenter{
  margin: auto;
  display: block;
  border: 2px solid #ffffff;
  max-height: 400px;
  max-width: 80%;
  height: auto;
  margin-top: 10px;
  margin-bottom: 10px;
}

.desc{
  margin-left: 2%;
  margin-top: 0.5%;
  margin-bottom: 0.5%;
  padding: 0.5%;
  background-color: #a0d0d0;
}

.footer{
  margin: 5px 10px 25px;
  line-height: 1.6;
  text-align: center;
  font-family: Helvetica;
}

.vid-container{
  text-align: center;
  width: 70%;
}

.img-row{
  margin: auto;
  display: block;
}

.img-row-entry{
  border: 2px solid #ffffff;
  max-height: 400px;
  max-width: 80%;
  height: auto;
}

.active{
   background-image:url(https://64.media.tumblr.com/239532cd7c35d582c12bbd5aa189de96/65d95d712473120c-67/s100x200/6a94a8d9fd0123acf4030f1e1f59f66c86549d39.gifv);
}

nav a{
  text-decoration: none;
}
nav a:link{
  color: #ffffff;
}
nav a:visited{
  color: #ff4020;
}
nav a:hover{
  color: #ffff40;
}

nav ul{
  text-decoration: none;
  list-style-type: none;
  margin-top: 10px;
  margin-bottom: 10px;
  padding-inline-start: 0;
}

nav ul li{
  list-style: none;
  display: inline-block;
  text-align: center;
  padding: 1%;
}
nav ul li a{
  padding: 10px;
  text-decoration: none;
}

.droptoggle{
  cursor: pointer;
}


.dropdown{
  display: none;
  background-color: #30663e;
  position: absolute;
  margin: 0;
  
  z-index: 1;
  border: 1px solid black;
  min-width: 100px;
  float: left;
}

.droptoggle:hover .dropdown{
  display: block;
}

.expl{
  text-decoration-line: underline;
  text-decoration-style: dashed;
}

.opening, .closing{
  font-style: italic;
  text-align: center;
  padding: 20px;
}

iframe{
  margin-left:auto;
  margin-right: auto;
}

.vid-container iframe{
  width: 100%;
  height: 100%;
  min-height: 400px;
  border: 0px;
}

.spoiler{
  background-color: #000000;
  color: #000000;
}

.spoiler:hover{
  color: #ffffff;
}

.spoiler a{
  color: #000000;
}

.spoiler a:hover{
   color: #4080ff;
}

.icon{
  width: 32px;
  height: 32px;
}

.paraphrased{
  color: #ff08ff;
}

figure .imgcenter{
  max-width: 100%;
  margin-top: 0;
  margin-bottom: 0;
}

table{
  margin: 1% 3% 1%;
}

table, th, td{
  border: 2px solid black;
  border-collapse: collapse;
}

td dd{
  background-color: #a0d0d0;
}

.pagetitle{
  text-align: center;
}

summary{
  font-weight: bold;
}

.updated{
  font-family: "Lucida Console", Monospace;
}

.langbuttons{
  position: sticky;
  align-items: center;
  top: max(80px,7%);
  right: 5%;
  text-align: center;
  gap: 0;
}

.langtab{
  border: none;
  outline: none;
  font-family: Verdana;
  background-color: #77cbb9;
  padding: 2px 15px;
  height: auto;
}
.langtab:hover{
  background-color: #d0e0e0;
}

.langtab:active{
  background-color: #d0e0e0;
}